package com.qmth.teachcloud.common.bean.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.enums.PrivilegeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 修改角色privilege
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/10/29
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SysRolePrivilegeDto implements Serializable {

    @ApiModelProperty(value = "角色权限id")
    @JsonSerialize(using = ToStringSerializer.class)
    Long rolePrivilegeId;

    @ApiModelProperty(value = "学校名称")
    String schoolName;

    @ApiModelProperty(value = "学校编码")
    String schoolCode;

    @ApiModelProperty(value = "角色id")
    @JsonSerialize(using = ToStringSerializer.class)
    Long roleId;

    @ApiModelProperty(value = "角色名称")
    String roleName;

    @ApiModelProperty(value = "权限id")
    @JsonSerialize(using = ToStringSerializer.class)
    Long privilegeId;

    @ApiModelProperty(value = "权限名称")
    String privilegeName;

    @ApiModelProperty(value = "权限url")
    String privilegeUrl;

    @ApiModelProperty(value = "权限类别")
    PrivilegeEnum privilegeType;

    public Long getRolePrivilegeId() {
        return rolePrivilegeId;
    }

    public void setRolePrivilegeId(Long rolePrivilegeId) {
        this.rolePrivilegeId = rolePrivilegeId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getSchoolCode() {
        return schoolCode;
    }

    public void setSchoolCode(String schoolCode) {
        this.schoolCode = schoolCode;
    }

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public Long getPrivilegeId() {
        return privilegeId;
    }

    public void setPrivilegeId(Long privilegeId) {
        this.privilegeId = privilegeId;
    }

    public String getPrivilegeName() {
        return privilegeName;
    }

    public void setPrivilegeName(String privilegeName) {
        this.privilegeName = privilegeName;
    }

    public String getPrivilegeUrl() {
        return privilegeUrl;
    }

    public void setPrivilegeUrl(String privilegeUrl) {
        this.privilegeUrl = privilegeUrl;
    }

    public PrivilegeEnum getPrivilegeType() {
        return privilegeType;
    }

    public void setPrivilegeType(PrivilegeEnum privilegeType) {
        this.privilegeType = privilegeType;
    }
}
